ldb (2:2.2.3-2+0~20211230182623.3+buster~1.gbp40a939) unstable; urgency=medium

  ** SNAPSHOT build @40a939a14a8150ba6c78a3527d9fcd2bcdf1b038 **

  [ Mathieu Parent ]
  * Update upstream bug for Skip_failing_tests.diff

  [ derchris ]
  * Update gbp.conf

 -- jenkins-debian-glue Autobuilder <jenkins@build.alb.c3voc.de>  Thu, 30 Dec 2021 19:26:24 +0100

ldb (2:2.2.3-2) unstable; urgency=high

  * Skip failing tests (on 32-bit architectures)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Nov 2021 23:06:24 +0100

ldb (2:2.2.3-1) unstable; urgency=high

  * New upstream version 2.2.3

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Nov 2021 19:28:54 +0100

ldb (2:2.2.2-2) unstable; urgency=high

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 01 Nov 2021 08:58:11 +0100

ldb (2:2.2.2-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Acknowledge NMU
  * New upstream version 2.2.2, includes:
    - CVE-2020-27840: Heap corruption via crafted DN strings.
    - CVE-2021-20277: Out of bounds read in AD DC LDAP server.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Mathieu Parent <sathieu@debian.org>  Sat, 30 Oct 2021 15:57:53 +0200

ldb (2:2.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * ldb_dn: avoid head corruption in ldb_dn_explode (CVE-2020-27840)
    (Closes: #985936)
  * pytests: move Dn.validate test to ldb
  * ldb/attrib_handlers casefold: stay in bounds (CVE-2021-20277)
    (Closes: #985935)
  * ldb: add tests for ldb_wildcard_compare
  * ldb tests: ldb_match tests with extra spaces
  * ldb: Remove tests from ldb_match_test that do not pass

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 26 Mar 2021 19:52:18 +0100

ldb (2:2.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 18 Nov 2020 20:33:02 +0100

ldb (2:2.2.0-2) experimental; urgency=medium

  * ldb_lmdb_free_list_test also fails on mips64el

 -- Mathieu Parent <sathieu@debian.org>  Wed, 11 Nov 2020 12:39:31 +0100

ldb (2:2.2.0-1) experimental; urgency=medium

  * New upstream version 2.2.0
    - d/watch: Bump to ldb 2.2.x, for samba 4.13.x
    - Update patches
    - Update symbols
  * Generate python3-ldb.symbols to build on all python3 versions
    (Closes: #972912)
  * Update watch file format version to 4.
  * d/copyright: Fix duplicate-globbing-patterns
  * Move to debhelper-compat 13

 -- Mathieu Parent <sathieu@debian.org>  Tue, 10 Nov 2020 17:35:57 +0100

ldb (2:2.1.4-2) unstable; urgency=high

  * Also skip test_guid_indexed_v1_db on mipsel
  * Also skip ldb_lmdb_free_list_test on ia64

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 14:25:48 +0200

ldb (2:2.1.4-1) unstable; urgency=high

  * New upstream version 2.1.4
    - CVE-2020-10730: NULL pointer de-reference and use-after-free in Samba AD
      DC LDAP Server with ASQ, VLV and paged_results.
    - Updade symbols, no change

 -- Mathieu Parent <sathieu@debian.org>  Thu, 02 Jul 2020 12:28:49 +0200

ldb (2:2.1.3-4) unstable; urgency=medium

  * Upload to unstable
  * Also skip ldb_lmdb_free_list_test on alpha

 -- Mathieu Parent <sathieu@debian.org>  Sun, 28 Jun 2020 11:28:16 +0200

ldb (2:2.1.3-3) experimental; urgency=medium

  * FTBFS: Also skip test_guid_indexed_v1_db on powerpc
  * FTBFS: Skip ldb_lmdb_free_list_test on ppc64el, ppc64 and sparc64

 -- Mathieu Parent <sathieu@debian.org>  Thu, 25 Jun 2020 15:16:24 +0200

ldb (2:2.1.3-2) experimental; urgency=medium

  * Fix FTBFS / Increase the over-estimation for sparse files

 -- Mathieu Parent <sathieu@debian.org>  Thu, 25 Jun 2020 09:48:54 +0200

ldb (2:2.1.3-1) experimental; urgency=medium

  * New upstream version 2.1.3
    - d/watch: Move to 2.1.x for samba 4.12.x
    - Update symbols
    - d/control: Bump build-deps: talloc 2.3.1, tdb 1.4.3, tevent 0.10.2

 -- Mathieu Parent <sathieu@debian.org>  Tue, 23 Jun 2020 17:58:39 +0200

ldb (2:2.0.8-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/python3-ldb.symbols*: update symbols for python 3.8 (Closes: #953331)

 -- Mathieu Parent <sathieu@debian.org>  Mon, 09 Mar 2020 11:05:52 +0100

ldb (2:2.0.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use dh $@ sequencer.

  [ Mathieu Parent ]
  * d/watch: Remove outdated dversionmangle
  * d/watch: Pin to ldb 2.0.x (for samba 4.11)
  * New upstream version 2.0.8
    - Update symbols
  * Standards-Version: 4.5.0, no change
  * d/control: libldb-dev Depends libtevent-dev

 -- Mathieu Parent <sathieu@debian.org>  Mon, 27 Jan 2020 10:45:29 +0100

ldb (2:2.0.7-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

  [ Mathieu Parent ]
  * Only build on default python3 (Closes: #942669)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:42:51 +0100

ldb (2:2.0.7-3) unstable; urgency=medium

  * Fix FTBFS on some arches:
    - Skip test_guid_indexed_v1_db on mips64el, ppc64el, ia64, ppc64

 -- Mathieu Parent <sathieu@debian.org>  Wed, 02 Oct 2019 21:26:49 +0200

ldb (2:2.0.7-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Mathieu Parent ]
  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 02 Oct 2019 07:07:59 +0200

ldb (2:2.0.7-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 2.0.7
    - d/watch: Unpin ldb to 1.4.x
    - d/control: Bump build-deps: talloc 2.2.0, tdb 1.4.2, tevent 0.10.0
    - Drop 00_Enable-make-test-even-without-lmdb.patch, merged
    - Replace libldb1 by libldb2 (ABI Bump)
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Mon, 16 Sep 2019 13:59:24 +0200

ldb (2:1.5.5-2) unstable; urgency=medium

  * Upload to unstable
  * d/copyright:
    - Move common/qsort.c as if it was lib/ldb/common/qsort.c
    - Move tools/* as if it was lib/ldb/tools/*
    - Sort lib/{talloc,tdb,tevent}

 -- Mathieu Parent <sathieu@debian.org>  Tue, 10 Sep 2019 18:21:30 +0200

ldb (2:1.5.5-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * New upstream version 1.5.5
  * Update salsa-ci.yml

  [ Timo Aaltonen ]
  * d/p/00_Enable-make-test-even-without-lmdb.patch: Refreshed.
  * d/p/03_EBADE: Dropped, upstream.
  * d/control: Bump build-deps: talloc 2.1.16, tdb 1.3.18, tevent 0.9.39.
  * d/libldb1.install: added libldb-tdb-{err-map,int}.so
  * d/rules: use Makefile targets instead of direct WAF calls
  * Add python3 packages.
  * d/control, d/python3-ldb-dev.install, d/rules: use dh-exec and install the
    python header file in a version-dependent include dir.
  * d/python3-ldb.symbols.*: add per-architecture symbols files
  * d/libldb1.symbols: update for this version
  * d/rules: clean extra paths in the clean target
  * d/rules: fix tevent globbing used in its removal
  * d/control, d/python-ldb*, d/rules: drop python2 packages and support

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Contact, Name.

  [ Mathieu Parent ]
  * Fix file-contains-trailing-whitespace in d/control and d/rules
  * Standards-Version: 4.4.0
  * Override wrong-section-according-to-package-name python3-ldb-dev => python
  * Mark debian/python3-ldb-dev.install executable
  * Override package-name-doesnt-match-sonames libpyldb-util.cpython-*
  * d/copyright: Add waf copyright
  * d/copyright: Update lib/replace/*
  * d/copyright: Add missing lib/talloc/*
  * Add dh-exec-subst-unknown-variable override (for DEB_PY3_INCDIR)

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Aug 2019 06:37:58 +0200

ldb (2:1.5.1+really1.4.7-1) unstable; urgency=medium

  [ Salsa Pipeline ]
  * Update salsa CI pipeline

  [ Mathieu Parent ]
  * New upstream version 1.4.7
    - Update symbols (no change)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 07 Jul 2019 10:06:38 +0200

ldb (2:1.5.1+really1.4.6-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 30 Mar 2019 18:09:28 +0100

ldb (2:1.5.1+really1.4.6-2) experimental; urgency=medium

  * Fix 00_Enable-make-test-even-without-lmdb.patch to prevent FTBFS on 32-bit
    systems

 -- Mathieu Parent <sathieu@debian.org>  Wed, 20 Mar 2019 20:54:20 +0100

ldb (2:1.5.1+really1.4.6-1) experimental; urgency=medium

  * New upstream version 1.4.6
    - d/watch: Pin ldb version to 1.4.x
    - d/watch: Mangle 1.5.1+really from debian version
    - Update 00_Enable-make-test-even-without-lmdb.patch as merged upstream
    - Drop CVE-2019-3824-v4-9.patch, merged
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Wed, 20 Mar 2019 07:26:57 +0100

ldb (2:1.5.1+really1.4.3-2) unstable; urgency=high

  * Fixes CVE-2019-3824: "Out of bound read in ldb_wildcard_compare"
    - Add CVE-2019-3824-v4-9.patch
    - Update path, and remove version bump in CVE-2019-3824-v4-9.patch

 -- Mathieu Parent <sathieu@debian.org>  Tue, 26 Feb 2019 23:50:07 +0100

ldb (2:1.5.1+really1.4.3-1) unstable; urgency=high

  * Rollback to version 1.4.3 (for Samba 4.9)
    - Revert "Refresh symbols files."
    - Revert "Install libldb-tdb-{err-map,int}.so"
    - Revert "Drop patch 03_EBADE: applied upstream."

 -- Mathieu Parent <sathieu@debian.org>  Sat, 24 Nov 2018 22:50:47 +0100

ldb (2:1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 03_EBADE: applied upstream.
  * Install libldb-tdb-{err-map,int}.so
  * Unicodify my surname.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 23 Nov 2018 13:35:28 +0000

ldb (2:1.4.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 17 Nov 2018 17:26:26 +0100

ldb (2:1.4.3-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 1.4.3
    - Update symbols: no change
  * Add Debian pipeline (debian/gitlab-ci.yml
  * Lintian:
    - debian/python-ldb.lintian-overrides: Override false-positive
      library-not-linked-against-libc
    - Fix public-upstream-key-not-minimal
    - Add Build-Depends-Package field in d/*.symbols

 -- Mathieu Parent <sathieu@debian.org>  Mon, 12 Nov 2018 09:07:14 +0100

ldb (2:1.4.2-4) unstable; urgency=medium

  [ James Clarke ]
  * 03_EBADE: Add patch from upstream to fix FTBFS on architectures with no
    EBADE error code, such as GNU/kFreeBSD.

  [ Mathieu Parent ]
  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Thu, 01 Nov 2018 21:10:06 +0100

ldb (2:1.4.2-3) experimental; urgency=medium

  * Fix FTBFS on 32-bit architectures (Samba #13630):
    - Revert "d/rules: Append -D_FILE_OFFSET_BITS=64 to CFLAGS to fix FTBFS on
      32-bit platforms"
    - Enable make test even without lmdb
    - 02_hurd patch fixup
    - d/libldb1.install: Do not ship libldb-mdb-int.so on 32-bit architectures

 -- Mathieu Parent <sathieu@debian.org>  Mon, 08 Oct 2018 14:31:20 +0200

ldb (2:1.4.2-2) experimental; urgency=medium

  * d/rules: Append -D_FILE_OFFSET_BITS=64 to CFLAGS to fix FTBFS on 32-bit
    platforms
  * d/rules: More verbose build log with waf -v

 -- Mathieu Parent <sathieu@debian.org>  Wed, 19 Sep 2018 06:44:59 +0200

ldb (2:1.4.2-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 1.4.2
    - Bump build-dependencies to talloc 2.1.4, tdb 1.3.16 and tevent 0.9.37
    - Update symbols
    - Update patch 02_hurd
  * d/rules: Remove dbgsym-migration in override_dh_strip
  * d/libldb1.install: Install libldb-mdb-int.so and libldb-key-value.so
  * d/rules: dh_missing --fail-missing
  * d/control: Revert "Mark python-ldb Multi-Arch: same" to fix Lintian's
    multi-arch-same-package-calls-pycompile

 -- Mathieu Parent <sathieu@debian.org>  Tue, 18 Sep 2018 21:21:53 +0200

ldb (2:1.4.0+really1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
    - Update symbols, no change
    - Remove 03_ldb-Fix-missing-NULL-terminator-in-ldb_mod_op_test-t.patch,
      merged
  * Standards-Version: 4.2.1

 -- Mathieu Parent <sathieu@debian.org>  Mon, 27 Aug 2018 15:11:58 +0200

ldb (2:1.4.0+really1.3.5-2) unstable; urgency=high

  * Add patch from upstream to fix FTBFS on some arches (arm64, armhf, mips,
    mipsel, s390x, ...)
  * Urgency kept to high

 -- Mathieu Parent <sathieu@debian.org>  Thu, 16 Aug 2018 15:46:12 +0200

ldb (2:1.4.0+really1.3.5-1) unstable; urgency=high

  * Upload to unstable
  * Urgency high for 4.8.4 security release
  * New upstream version 1.3.5 (for samba 4.8.4)
    - samba 4.8 is not compatible with ldb 1.4
    - Update symbols, no change
    - Update patches
  * Revert python3 support until it is back in talloc (Reopen: #815139)
  * Standards-Version: 4.1.5
    - d/control: Add Rules-Requires-Root: no

 -- Mathieu Parent <sathieu@debian.org>  Wed, 15 Aug 2018 05:13:16 +0200

ldb (2:1.4.0-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * Add py3 support (Closes: #815139)

  [ Louis van Belle ]
  * Relax debhelper Build-Depends to allow backport

  [ Mathieu Parent ]
  * New upstream version 1.4.0
    - Bump build-dependencies to talloc 2.1.13
    - Update symbols, no change
    - Add liblmdb-dev (>= 0.9.16) to Build-Depends
    - Update patches

 -- Mathieu Parent <sathieu@debian.org>  Sun, 01 Jul 2018 21:52:39 +0200

ldb (2:1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
    - Update symbols, no change
  * Standards-Version: 4.1.4, no change

 -- Mathieu Parent <sathieu@debian.org>  Wed, 16 May 2018 23:46:56 +0200

ldb (2:1.3.2-2) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:43:04 +0200

ldb (2:1.3.2-1) experimental; urgency=medium

  * New upstream version 1.3.2
    - Bump build-dependencies to talloc 2.1.11 and tevent 0.9.36
    - Update symbols
  * Upload to experimental

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:36:00 +0100

ldb (2:1.2.3-1) unstable; urgency=medium

  * New upstream version 1.2.3
    - Update symbols (no change)
  * Standards-Version: 4.1.3, no change
  * Repository moved to salsa: Update Vcs-* fields
  * Bumping debhelper compat from 9 to 11

 -- Mathieu Parent <sathieu@debian.org>  Thu, 11 Jan 2018 07:36:33 +0100

ldb (2:1.2.2-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:28:05 +0200

ldb (2:1.2.2-1) experimental; urgency=medium

  * New upstream version 1.2.2
    - Update symbols
    - Bump build-dependencies to talloc 2.1.10, tdb 1.3.15 and tevent 0.9.33
    - Add Breaks to incompatible packages
    - Add Build-Depends: libcmocka-dev (>= 1.1.1~)
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Tue, 03 Oct 2017 21:44:15 +0200

ldb (2:1.1.29-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 19 Jun 2017 17:25:13 +0200

ldb (2:1.1.29-1) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * New upstream release.
    - Update symbols
    - Bump tdb and tevent Build-depends (resp. 1.3.12 and 0.9.31)

  [ Mathieu Parent ]
  * gbp.conf: pristine-tar = True
  * New upstream version 1.1.29
  * Thanks lintian:
    - Debhelper compat 9
    - Fix missing-build-dependency-for-dh_-command dh_python2 => dh-python
      + Update symbols, again
    - Remove unused overrides: ldb-tools/python-ldb:
      binary-or-shlib-defines-rpath * /usr/lib/ldb
    - Remove empty libldb1.postinst
    - Hardening: Add DEB_BUILD_MAINT_OPTIONS = hardening=+all and
      DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
    - Add override for python-ldb-dev: wrong-section-according-to-package-name
    - Add missing header and fix d/copyright
    - Mark python-ldb Multi-Arch: same

 -- Mathieu Parent <sathieu@debian.org>  Sat, 10 Jun 2017 23:03:32 +0200

ldb (2:1.1.27-1) unstable; urgency=medium

  * New upstream version.
    - Bump Buid-Depends: talloc 2.1.8, tdb 1.3.10 and tevent 0.9.29
    - Update symbols
  * Use secure Vcs-* uris (Closes: #805719)
  * Add me to uploaders
  * Bump standards version to 3.9.8 (no changes)
  * Use automatic debug packages (-dbgsym)
  * Mark libldb-dev and python-ldb-dev "Multi-Arch: same"

 -- Mathieu Parent <sathieu@debian.org>  Mon, 10 Oct 2016 10:02:53 +0200

ldb (2:1.1.26-1) unstable; urgency=medium

  * New upstream version.
   + Fixes compatiblity with s390. Closes: #808769
   + Depend on tevent 0.9.27.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 26 Feb 2016 03:18:59 +0000

ldb (2:1.1.24-1) unstable; urgency=high

  * Drop '-b unstable' flag to Vcs-Git.
  * New upstream release. Fixes:
  - CVE-2015-3223: Denial of Service.
  - CVE-2015-5330: Remote memory read.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Dec 2015 16:11:45 +0000

ldb (2:1.1.23-1) unstable; urgency=medium

  * New upstream version.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 21:17:41 +0000

ldb (2:1.1.21-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch 03_revert_ldflags_atend: applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 03:01:43 +0000

ldb (2:1.1.20-2) unstable; urgency=medium

  * Add patch 01_manpage_dates: add fixed manpage dates, making the
    build reproducible.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 27 Apr 2015 23:35:02 +0000

ldb (2:1.1.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * Add patch 03_revert_ldflags_atend: revert upstream change preventing
    use of -Wl,--as-needed.
  * Make libldb1-dbg Multi-Arch: same.
  * python-ldb-dev: Fix capitalization of 'python'.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 14:13:06 +0000

ldb (2:1.1.17-2) unstable; urgency=high

  * No changes from 1:1.1.17-1 (currently in jessie)
  * Increment epoch to revert upload of 1:1.1.18-1 to unstable
  * Urgency high to allow samba security upload to migrate to jessie

 -- Ivo De Decker <ivodd@debian.org>  Mon, 23 Feb 2015 19:03:36 +0100

ldb (1:1.1.18-1) unstable; urgency=medium

  * New upstream release.
   + Depend on tdb >= 1.3.2.
   + Fixes __attribute__((visibility)) check to not use nested functions.
     Closes: #749987
  * Use canonical URL in Vcs-Git field.
  * Specify branch in Vcs-Git field.
  * Add 02_hurd: link against pthread on the Hurd, to fix ldb module
    loading. Closes: #749095

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 05 Jul 2014 23:32:23 +0200

ldb (1:1.1.17-1) unstable; urgency=medium

  * Change maintainer to Debian Samba maintainers, move myself to
    uploaders.
  * Bump standards version to 3.9.5 (no changes).
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Apr 2014 16:10:56 +0200

ldb (1:1.1.16-1) unstable; urgency=low

  [ Andrew Bartlett ]
  * New upstream release.
    + Fixes FTBFS. Closes: #713096

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.4 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 19 Jul 2013 22:37:05 +1000

ldb (1:1.1.15-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Drop 01_exclude_symbols, now upstream.

 -- Andrew Bartlett <abartlet@samba.org>  Tue, 12 Feb 2013 19:02:05 +1100

ldb (1:1.1.13-1) experimental; urgency=low

  * New upstream release.
  * Change Vcs-Git after migration to Git.
  * Add 01_exclude_symbols, fixing a bug in wafsamba which causes
    private symbols to be exported.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Nov 2012 15:51:49 +0100

ldb (1:1.1.12-1) experimental; urgency=low

  * New upstream release.
   + Depend on tevent 0.9.17.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 08 Sep 2012 17:40:55 +0200

ldb (1:1.1.6-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 19 Apr 2012 15:00:14 +0200

ldb (1:1.1.5-2) unstable; urgency=low

  * Add explicit dependency on tdb 1.2.10. Closes: #668576

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 13 Apr 2012 11:14:29 +0200

ldb (1:1.1.5-1) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes).
  * Drop unnecessary lintian overrides (upstream no longer uses private
    libraries with rpath).
  * Properly clean up after build.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 12 Apr 2012 01:46:01 +0200

ldb (1:1.1.4+git20120206-1) unstable; urgency=low

  * New upstream snapshot.
   + Extracts waf source code. Closes: #654482
   + Disable tdb2 support.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 16:04:26 +0100

ldb (1:1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 03 Dec 2011 00:15:12 +0100

ldb (1:1.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 09 Nov 2011 14:17:14 +0100

ldb (1:1.1.2~git20110807-2) unstable; urgency=low

  * Explicitly build with dh_python2.
  * Build against system Python rather than specifically 2.7. Closes: #642436

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 27 Sep 2011 19:49:00 +0200

ldb (1:1.1.2~git20110807-1) unstable; urgency=low

  * New upstream snapshot.
   + Adds proper symbol versioning to libpyldb-util. LP: #777517

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 07 Aug 2011 16:06:59 +0200

ldb (1:1.1.1~git20110728-1) unstable; urgency=low

  * Upload to unstable.
  * Switch to new style debhelper.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:51:49 +0200

ldb (1:1.1.1~git20110719-4) experimental; urgency=low

  * Add multi-arch support to libldb1.
  * Add debug packages python-ldb-dbg and libldb1-dbg.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 22:08:11 +0200

ldb (1:1.1.1~git20110719-3) unstable; urgency=low

  * Switch to python2.7.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 25 Jul 2011 17:41:20 +0200

ldb (1:1.1.1~git20110719-2) unstable; urgency=low

  * Fix build dependency to be on tevent 0.9.13 rather than 0.9.11. Thanks
    Nobuhiro Iwamatsu.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 21 Jul 2011 16:24:08 +0200

ldb (1:1.1.1~git20110719-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 19 Jul 2011 21:45:21 +0200

ldb (1:1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 22 Apr 2011 02:58:49 +0200

ldb (1:1.0.2+git20110403-1) experimental; urgency=low

  * New upstream snapshot.
  * Switch to dh_python2. Closes: #616857

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 03 Apr 2011 21:51:32 +0200

ldb (1:1.0.2-2) unstable; urgency=low

  * Add symbols file for libpyldb-util.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 Feb 2011 04:02:31 +0100

ldb (1:1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 27 Feb 2011 14:29:46 +0100

ldb (1:1.0.1~git20120220-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Feb 2011 14:42:57 +0100

ldb (1:1.0.0-2) unstable; urgency=low

  * Add breaks/conflicts for libldb0.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Feb 2011 18:23:07 +0100

ldb (1:1.0.0-1) unstable; urgency=low

  * Run test suite during package build.
  * Add references to common license files in copyright file.
  * New upstream release.
   + Rename libldb0 to libldb1 after upstream soname bump.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Feb 2011 03:45:51 +0100

ldb (1:0.9.24-1) experimental; urgency=low

  * New upstream release.
   + Add python-ldb-dev package.
  * Add watch file.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 23 Oct 2010 20:00:40 +0200

ldb (1:0.9.22-2) experimental; urgency=low

  * New upstream release.
   + Add python-ldb-dev package.
   + Uses version symbols.
  * Switch to python-support.
  * Link with --as-needed.
  * Run test suite during build.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 22 Dec 2010 00:05:26 +0100

ldb (1:0.9.22-1) unstable; urgency=low

  * New upstream release.
   + Add python-ldb-dev package.
   + Uses version symbols.
  * Switch to python-support.
  * Link with --as-needed.
  * Run test suite during build.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 22 Dec 2010 00:05:26 +0100

ldb (1:0.9.16~git20101019-1) unstable; urgency=low

  * New upstream snapshot.
   + Use alternatives to manage new /usr/lib/ldap.so link.
  * OpenLDAP support is now always built.
  * Fixes references to ldb(3) in manpages. Closes: #584227
  * Override modules directory to be /usr/lib/ldb, rather
    than /usr/modules/ldb as is now the upstream default. Closes: #600824

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 13 Oct 2010 16:45:29 +0200

ldb (1:0.9.14~git20100928-1) unstable; urgency=low

  * Support talloc 2.0.1.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 13 Sep 2010 15:11:46 +0200

ldb (1:0.9.13~git20100908-2) experimental; urgency=low

  * Support tdb 1.2.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 10 Sep 2010 17:17:40 +0200

ldb (1:0.9.13~git20100908-1) experimental; urgency=low

  * New upstream snapshot.
  * Support older versions of tdb.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 08 Sep 2010 03:53:47 +0200

ldb (1:0.9.13~git20100820-1) experimental; urgency=low

  * New upstream snapshot.
    + Builds against system default Python rather than most recent supported
      python. Closes: #577436.
  * Bump standards version to 3.9.1.
  * Switch to Bazaar.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Aug 2010 15:18:28 +0200

ldb (1:0.9.13~git20100730-1) maverick; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 30 Jul 2010 15:40:04 +0200

ldb (1:0.9.12~git20100615-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 15 Jun 2010 20:25:26 +0200

ldb (1:0.9.11~git20100531-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 31 May 2010 14:03:40 +0200

ldb (1:0.9.10~git20100531-1) experimental; urgency=low

  * New upstream snapshot, switch back to waf.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 24 May 2010 16:54:59 +0200

ldb (1:0.9.10~git20100522-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 May 2010 15:50:20 +0200

ldb (1:0.9.10~git20100203-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 03 Feb 2010 16:16:48 +0100

ldb (1:0.9.10~git20091212-1) unstable; urgency=low

  * New upstream version.
  * Depend on libtdb-dev rather than tdb-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Dec 2009 22:04:36 +0100

ldb (1:0.9.6~git20090912-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 23:34:22 +0200

ldb (1:0.9.6~git20090718-2) unstable; urgency=low

  * Remove unused patch.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 22:49:46 +0200

ldb (1:0.9.6~git20090718-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.2.
  * Link Python modules only against necessary libraries.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 10:55:47 +0200

ldb (1:0.9.6~git20090617-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 17 Jul 2009 20:37:51 +0200

ldb (1:0.9.3~git20090221-1) unstable; urgency=low

  * New upstream snapshot.
  * Switch to python-central.
  * Add dummy watch file explaining how to obtain an upstream tarball.
  * Build against tevent.
  * Compile with -Wl,--as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 01 Jan 2009 06:47:33 +0100

ldb (1:0.9.2~git20080616-1) unstable; urgency=low

  * Fix version number accidently messed up by typo earlier.
  * Fix copyright listing.
  * Fix dependency of python-ldb on libc.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 27 Jul 2008 15:58:54 +0200

ldb (0.92~git20080616-1) unstable; urgency=low

  * New upstream snapshot.
  * Add patch to remove dependency on events lib in pkg-config file,
    which is not packaged yet.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 16 Jun 2008 21:00:43 +0200

ldb (0.9.2~git20080615-1) unstable; urgency=low

  * Add dependency on tdb-dev to libldb-dev.
  * New upstream snapshot.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 15 Jun 2008 19:26:38 +0200

ldb (0.9.2~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 02:54:45 +0200

ldb (0.9.2~git20080122-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 22 Jan 2008 16:50:02 +0100

ldb (0.9.1~svn26291-1) unstable; urgency=low

  * Set Vcs-Svn field.
  * Fix building twice in a row. (Closes: #442625)
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 04 Dec 2007 19:47:13 +0100

ldb (0.9.1~svn26185-1) unstable; urgency=low

  * Improve long description a bit. (Closes: #438657)
  * Set homepage field.
  * New upstream snapshot.
  * Add python-ldb package.
  * Allow Debian Maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 16:29:17 +0000

ldb (0.9.0-2) unstable; urgency=low

  * Put libldb-dev in libdevel section. (Closes: #427582)
  * Don't build shared version of ldbadd. (Closes: #427527)
  * Use ${binary:Version} rather than obsolete ${Source-Version}.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 06 Jun 2007 22:59:28 +0200

ldb (0.9.0-1) unstable; urgency=low

  * Initial release. (Closes: #421573)

 -- Jelmer Vernooij <jelmer@samba.org>  Fri, 04 May 2007 12:39:19 +0200
